Get all SIM card orders
Get all SIM card orders according to filters.
GET
/
sim_card_orders
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardOrder of client.simCardOrders.list()) {
console.log(simCardOrder.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_orders.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardOrders.List(context.TODO(), telnyx.SimCardOrderListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardorders.SimCardOrderListPage;
import com.telnyx.sdk.models.simcardorders.SimCardOrderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardOrderListPage page = client.simCardOrders().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_orders.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardOrders->list(
filter: [
'addressAdministrativeArea' => 'TX',
'addressCountryCode' => 'US',
'addressExtendedAddress' => '14th Floor',
'addressID' => '1293384261075731499',
'addressLocality' => 'Austin',
'addressPostalCode' => '78701',
'addressStreetAddress' => '600 Congress Avenue',
'costAmount' => '2.53',
'costCurrency' => 'USD',
'createdAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
'quantity' => 21,
'updatedAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-orders list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_order",
"quantity": 21,
"cost": {
"amount": "2.52",
"currency": "USD"
},
"order_address": {
"id": "1293384261075731499",
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"locality": "Austin",
"administrative_area": "TX",
"country_code": "US",
"postal_code": "78701"
},
"tracking_url": "http://www.example.com/",
"status": "pending",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter for SIM card orders (deepObject style). Originally: filter[created_at], filter[updated_at], filter[quantity], filter[cost.amount], filter[cost.currency], filter[address.id], filter[address.street_address], filter[address.extended_address], filter[address.locality], filter[address.administrative_area], filter[address.country_code], filter[address.postal_code]
Show child attributes
Show child attributes
Consolidated pagination parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardOrder of client.simCardOrders.list()) {
console.log(simCardOrder.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_orders.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardOrders.List(context.TODO(), telnyx.SimCardOrderListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardorders.SimCardOrderListPage;
import com.telnyx.sdk.models.simcardorders.SimCardOrderListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardOrderListPage page = client.simCardOrders().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_orders.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardOrders->list(
filter: [
'addressAdministrativeArea' => 'TX',
'addressCountryCode' => 'US',
'addressExtendedAddress' => '14th Floor',
'addressID' => '1293384261075731499',
'addressLocality' => 'Austin',
'addressPostalCode' => '78701',
'addressStreetAddress' => '600 Congress Avenue',
'costAmount' => '2.53',
'costCurrency' => 'USD',
'createdAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
'quantity' => 21,
'updatedAt' => new \DateTimeImmutable('2018-02-02T22:25:27.521Z'),
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-orders list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_orders \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_order",
"quantity": 21,
"cost": {
"amount": "2.52",
"currency": "USD"
},
"order_address": {
"id": "1293384261075731499",
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"locality": "Austin",
"administrative_area": "TX",
"country_code": "US",
"postal_code": "78701"
},
"tracking_url": "http://www.example.com/",
"status": "pending",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}